org.apache.calcite.avatica.util

## Enum Casing

- java.lang.Object
- - java.lang.Enum<Casing>
  - - org.apache.calcite.avatica.util.Casing

All Implemented Interfaces:
  Serializable, Comparable<Casing>

    public enum Casing
    extends Enum<Casing>

Policy for converting case of identifiers before storing them.

A database often has policies for quoted versus unquoted identifiers. For example, Oracle converts unquoted identifiers to upper-case, but quoted identifiers are unchanged.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`TO_LOWER` Identifiers are converted to lower-case.
`TO_UPPER` Identifiers are converted to upper-case.
`UNCHANGED` The case of identifiers is not changed.

### Method Summary

All Methods Static Methods Concrete Methods
`static Casing` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Casing[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNCHANGED

    public static final Casing UNCHANGED

The case of identifiers is not changed.

#### TO_UPPER

    public static final Casing TO_UPPER

Identifiers are converted to upper-case.

#### TO_LOWER

    public static final Casing TO_LOWER

Identifiers are converted to lower-case.

### Method Detail

#### values

    public static Casing[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Casing c : Casing.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Casing valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null